/*
 * Copyright (C) 2000 John David Ratliff, Jason Andrew Fisk, and Hongwei Guan
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package model;

//////////////////////////////////////////////////////////////////////
/**
 * Objects of this class represent the the position of a word.
 * A position has two elements: the line number of the line which
 * contains it, and the index of the word within that line.
 */
//////////////////////////////////////////////////////////////////////
public class WordPosition {
    private int index, lineNumber;
    public WordPosition(int index, int lineNumber) {
        this.index = index;
        this.lineNumber = lineNumber;
    }
    //////////////////////////////////////////////////////////////////////
    /**
     * Return the index of the word that this word position represents.
     */
    public int getIndex() {
        return index;
    }
    //////////////////////////////////////////////////////////////////////
    /**
     * Return the index of the line that this word position represents.
     */
    public int getLineNumber() {
        return lineNumber;
    }
}
