/*
 * Copyright (C) 2000 John David Ratliff, Jason Andrew Fisk, and Hongwei Guan
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

package tools;

import datatypes.List;
import datatypes.Dictionary;

import driver.AutomationObject;

import model.MVC_Model;
import model.Model;

// This is merely a gateway to our new MVC Design Pattern
// The model creates the view, then the view creates the controller
// Each one is encapsulated within itself, so the view, the controller
// or the Model could be replaced on a whim...(or a future assignment)...

public class LineEditor {
	private MVC_Model model;

	// initilize the model, which creates the view, which creats the controller
	public LineEditor(List list, Dictionary dictionary, AutomationObject automation) {
		this.model = new Model(list, dictionary, automation);
	}
}
